"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _styles = require("@material-ui/core/styles");

var _Typography = _interopRequireDefault(require("@material-ui/core/Typography"));

var _styles2 = require("../styles");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var useStyles = (0, _styles.makeStyles)(function (theme) {
  return {
    root: (0, _styles2.row)(theme),
    // Even though this is a column, we want a fixed width
    title: _objectSpread(_objectSpread({}, (0, _styles2.column)(theme)), (0, _styles2.fixedColumn)(120)),
    // This column can take the rest of the width
    content: _objectSpread(_objectSpread({}, (0, _styles2.column)(theme)), {}, {
      // Put a margin between each child element
      '& > :not(:last-child)': _defineProperty({
        marginBottom: theme.spacing()
      }, theme.breakpoints.down('sm'), {
        '@media not print': {
          marginBottom: theme.spacing(2)
        }
      })
    })
  };
});
/**
 * Resume content block.
 */

var Content = function Content(_ref) {
  var title = _ref.title,
      children = _ref.children;
  var classes = useStyles();
  return /*#__PURE__*/_react.default.createElement("div", {
    className: classes.root
  }, /*#__PURE__*/_react.default.createElement(_Typography.default, {
    variant: "subtitle1",
    className: classes.title
  }, title), /*#__PURE__*/_react.default.createElement(_Typography.default, {
    variant: "body2",
    className: classes.content,
    component: "div"
  }, children));
};

Content.propTypes = {
  title: _propTypes.default.string,
  children: _propTypes.default.node
};
Content.defaultProps = {
  title: '',
  children: ''
};
var _default = Content;
exports.default = _default;