"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _Work = _interopRequireDefault(require("../Work"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

/**
 * Resume entry for education.
 * Following the JSONSchema format, the education schema
 * can be mapped to the work schema where:
 * institution -> name
 * studyType & area -> position
 * gpa -> description
 * courses -> highlights
 */
var Education = function Education(_ref) {
  var institution = _ref.institution,
      area = _ref.area,
      studyType = _ref.studyType,
      gpa = _ref.gpa,
      courses = _ref.courses,
      other = _objectWithoutProperties(_ref, ["institution", "area", "studyType", "gpa", "courses"]);

  return /*#__PURE__*/_react.default.createElement(_Work.default, _extends({
    name: institution,
    position: "".concat(studyType, " - ").concat(area),
    description: "GPA: ".concat(gpa),
    highlights: courses
  }, other));
};

Education.propTypes = {
  institution: _propTypes.default.string,
  studyType: _propTypes.default.string,
  area: _propTypes.default.string,
  gpa: _propTypes.default.string,
  courses: _propTypes.default.arrayOf(_propTypes.default.string)
};
Education.defaultProps = {
  institution: '',
  studyType: '',
  area: '',
  gpa: '',
  courses: []
};
var _default = Education;
exports.default = _default;