"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _styles = require("@material-ui/core/styles");

var _Typography = _interopRequireDefault(require("@material-ui/core/Typography"));

var _styles2 = require("../styles");

var _timespan = require("../timespan");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var useStyles = (0, _styles.makeStyles)(function (theme) {
  return {
    row: (0, _styles2.row)(theme),
    compactList: (0, _styles2.compactList)(theme),
    title: _objectSpread(_objectSpread({}, (0, _styles2.column)(theme)), {}, {
      flex: 2
    }),
    timespan: _objectSpread(_objectSpread({}, (0, _styles2.column)(theme)), {}, {
      alignItems: 'flex-end'
    })
  };
});
/**
 * Resume entry for work experience.
 * Follows the JSONSchema format for work entries
 */

var Work = function Work(_ref) {
  var name = _ref.name,
      description = _ref.description,
      url = _ref.url,
      position = _ref.position,
      startDate = _ref.startDate,
      endDate = _ref.endDate,
      _ref$highlights = _ref.highlights,
      highlights = _ref$highlights === void 0 ? [] : _ref$highlights;
  var classes = useStyles();
  var sDate = (0, _timespan.yearMonthDayDate)(startDate);
  var eDate = (0, _timespan.yearMonthDayDate)(endDate); // startDate is required

  var startString = (0, _timespan.monthYearString)(sDate); // endDate is not (could be presently employed)

  var endString = eDate ? (0, _timespan.monthYearString)(eDate) : 'Present';
  return /*#__PURE__*/_react.default.createElement("div", null, /*#__PURE__*/_react.default.createElement(_Typography.default, {
    variant: "subtitle1",
    className: classes.row
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: classes.title
  }, /*#__PURE__*/_react.default.createElement("span", null, /*#__PURE__*/_react.default.createElement("b", null, url ? /*#__PURE__*/_react.default.createElement("a", {
    href: url
  }, name) : name), ", ", position)), /*#__PURE__*/_react.default.createElement("div", {
    className: classes.timespan
  }, startString, " to ", endString)), /*#__PURE__*/_react.default.createElement(_Typography.default, {
    variant: "body2",
    className: classes.row
  }, description), highlights.length ? /*#__PURE__*/_react.default.createElement("ul", {
    className: classes.compactList
  }, highlights.map(function (entry) {
    return /*#__PURE__*/_react.default.createElement("li", {
      key: entry
    }, entry);
  })) : null);
};

Work.propTypes = {
  name: _propTypes.default.string.isRequired,
  position: _propTypes.default.string.isRequired,
  startDate: _propTypes.default.string.isRequired,
  url: _propTypes.default.string,
  endDate: _propTypes.default.string
};
Work.defaultProps = {
  position: '',
  url: '',
  endDate: ''
};
var _default = Work;
exports.default = _default;