"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.monthYearString = exports.yearMonthDayDate = void 0;

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { if (typeof Symbol === "undefined" || !(Symbol.iterator in Object(arr))) return; var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

/**
 * Converts a YYYY-MM-DD string to a JavaScript Date object.
 * @param {*} yearMonthDay a string in the YYYY-MM-DD format
 */
var yearMonthDayDate = function yearMonthDayDate(yearMonthDay) {
  // fail if not a string
  if (typeof yearMonthDay !== 'string' && !(yearMonthDay instanceof String)) {
    return undefined;
  }

  var _yearMonthDay$split = yearMonthDay.split("-"),
      _yearMonthDay$split2 = _slicedToArray(_yearMonthDay$split, 3),
      year = _yearMonthDay$split2[0],
      month = _yearMonthDay$split2[1],
      day = _yearMonthDay$split2[2]; // fail if not valid format


  if (!year || !month || !day) {
    return undefined;
  } // month index starts at 0, so subtract 1


  return new Date(year, month - 1, day);
};

exports.yearMonthDayDate = yearMonthDayDate;
var shortMonths = ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec'];

var monthYearString = function monthYearString(date) {
  // fail if not a date (if it lacks the functions needed)
  if (typeof date.getMonth !== 'function' || typeof date.getFullYear !== 'function') {
    return undefined;
  } // shortMonth starts at 0, and so does getmonth
  // gets the index from the date object and puts the shortMonth 
  // index in the string


  return "".concat(shortMonths[date.getMonth()], " ").concat(date.getFullYear());
};

exports.monthYearString = monthYearString;